import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeleteHumanLoopCommand, se_DeleteHumanLoopCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DeleteHumanLoopCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonSageMakerA2IRuntime", "DeleteHumanLoop", {})
    .n("SageMakerA2IRuntimeClient", "DeleteHumanLoopCommand")
    .f(void 0, void 0)
    .ser(se_DeleteHumanLoopCommand)
    .de(de_DeleteHumanLoopCommand)
    .build() {
}
