import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DescribeHumanLoopCommand, se_DescribeHumanLoopCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DescribeHumanLoopCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonSageMakerA2IRuntime", "DescribeHumanLoop", {})
    .n("SageMakerA2IRuntimeClient", "DescribeHumanLoopCommand")
    .f(void 0, void 0)
    .ser(se_DescribeHumanLoopCommand)
    .de(de_DescribeHumanLoopCommand)
    .build() {
}
